Bug 822424 - Review Request: jboss-jaxrs-1.1-api - Java API for RESTful Web Services (JAX-RS) 1.1
Review Request: jboss-jaxrs-1.1-api - Java API for RESTful Web Services (JAX-...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patryk Obara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 820946
  Show dependency treegraph
 
Reported: 2012-05-17 06:15 EDT by Marek Goldmann
Modified: 2013-03-13 00:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-01 13:05:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pobara: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Patryk Obara 2012-05-23 05:41:00 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:
$ rpmlint jboss-jaxrs-1.1-api.spec 
jboss-jaxrs-1.1-api.spec: W: invalid-url Source0: jboss-jaxrs-1.1-api-1.0.1.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
$ rpmlint jboss-jaxrs-1.1-api-1.0.1-1.fc17.src.rpm 
jboss-jaxrs-1.1-api.src: W: invalid-url URL: http://www.jboss.org HTTP Error 403: Forbidden
jboss-jaxrs-1.1-api.src: W: invalid-url Source0: jboss-jaxrs-1.1-api-1.0.1.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 11676985caba72a6b3ecde090ef7f13b
MD5SUM upstream package: 11676985caba72a6b3ecde090ef7f13b
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4095870

=== Issues ===
1. Remove (TM) from summary; https://fedoraproject.org/wiki/Packaging:Guidelines#Trademarks_in_Summary_or_Description

2. (Not an issue, just a note) license file is not in unicode and there is ยง character in one section; some tools think, that sky is falling in result (ekhm, gedit, ekhm).
Comment 3 Patryk Obara 2012-05-23 07:13:52 EDT
Looks great :)

================
*** APPROVED ***
================
Comment 4 Marek Goldmann 2012-05-23 07:20:48 EDT
Thanks!

New Package SCM Request
=======================
Package Name:      jboss-jaxrs-1.1-api
Short Description: Java API for RESTful Web Services (JAX-RS) 1.1
Owners:            goldmann
Branches:          f17
Comment 5 Gwyn Ciesla 2012-05-23 09:00:19 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-23 11:14:22 EDT
jboss-jaxrs-1.1-api-1.0.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-jaxrs-1.1-api-1.0.1-2.fc17
Comment 7 Fedora Update System 2012-05-24 11:34:23 EDT
Package jboss-jaxrs-1.1-api-1.0.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jboss-jaxrs-1.1-api-1.0.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8261/jboss-jaxrs-1.1-api-1.0.1-2.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-06-01 13:05:35 EDT
jboss-jaxrs-1.1-api-1.0.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.